Skip to content

getConsolidatedBalances

READ

Get consolidated balances.

POST /api/v1/accounting/getConsolidatedBalances
curl -X POST '<your-host>/api/v1/accounting/getConsolidatedBalances' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "companyIds": [],
    "targetCurrency": "string",
    "periodEnd": "string"
  }'
Response
{
  "results": [
    {
      "balance": 0,
      "balanceAtDate": 0,
      "netChange": 0,
      "translatedBalance": 0,
      "exchangeRate": 0,
      "accountType": "Bank",
      "active": true,
      "class": "Expense",
      "companyGroupId": "string",
      "consolidatedRate": "Average",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "incomeBalance": "Balance Sheet",
      "isGroup": true,
      "isSystem": true,
      "name": "string",
      "number": "string",
      "parentId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "companyIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "targetCurrency": {
      "type": "string"
    },
    "periodEnd": {
      "type": "string"
    },
    "periodStart": {
      "type": "string"
    }
  },
  "required": [
    "companyIds",
    "targetCurrency",
    "periodEnd"
  ]
}